#!/bin/sh

# Set these paths appropriately
BIN=/path/to/TreeTagger/bin
CMD=/path/to/TreeTagger/cmd
LIB=/path/to/TreeTagger/lib
MALT=/path/to/MaltParser/maltparser-1.7.1

OPTIONS=" -lemma -token -sgml"

TAGGER=${BIN}/tree-tagger
PARFILE=${LIB}/polish-utf8.par # TreeTagger requires a language specific .par file
MALTJAR=${MALT}/maltparser-1.7.1.jar
MALTRES=skladnica_liblinear_stackeager_final.mco # Language specific .mco file for MaltParser
PREMALT=/path/to/sgml-make-malt.pl # to generate the CONLL format
TMPTEXTID=/path/to/tmpmaltid

SGML=/path/to/mycorpus.pl.sgml
TMPTEXT=/path/to/mycorpus.pl.conll
TMPPARSE=/path/to/mycorpus.pl.parse

#Malt can be confused if the resource is not in the same directory
CURD=`pwd`
cat ${SGML} |
$TAGGER $OPTIONS $PARFILE |
$PREMALT 2>$TMPTEXTID >$TMPTEXT
cd $MALT
java -Xmx30g -jar $MALTJAR -c $MALTRES -i $TMPTEXT -o $TMPPARSE -m parse
cd $CURD
